Bug 131406 - usb-serial transmit fails on IOGear USB to Serial Adapter GUC232A
usb-serial transmit fails on IOGear USB to Serial Adapter GUC232A
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-31 20:24 EDT by Bradley Remedios
Modified: 2015-01-04 17:09 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:01:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bradley Remedios 2004-08-31 20:24:35 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040803 Firefox/0.9.3

Description of problem:
Using the IOGear USB to Serial Adapter GUC232A, Recieving of RS232
data works, but Sending Data fails.  No errors appear within the
application (the application appears to hang) but the following
message appears in /var/log/messages "usb 2-2:
pl2303_write_bulk_callback - failed resubmitting write urb, error -1"

I used both echo and minicom to write to the port and cat to recieve
the data.

Switching to the Vanilla 2.6.8 kernel but using the .config from
2.6.8-1.521 fixed the problem.

Version-Release number of selected component (if applicable):
kernel-2.6.8-1.521

How reproducible:
Always

Steps to Reproduce:
1. Purchase and plug-in IOGear USB to Serial Adapter GUC232A
2. Connect another systems com port to Adapter using Null modem cable.
3. Configure port settings to match.
4. minicom on /dev/usb/ttyUSB0 will hang.
5. cat /dev/usb/ttyUSB0 will print output from other device (assuming
buad rates match.)
6. echo "test text" > /dev/usb/ttyUSB0 will hang.


    

Actual Results:  #4 or #6 will cause the error in /var/log/messages
listed in the description.

Expected Results:  #4 should not hang.  What you type and modem init
strings should show up  on device.  No error should appear in
/var/log/messages

#6 should not hang.  "test text" (no quotes) should appear on device
and no error should appear in /var/log/messages

Additional info:
Comment 1 Bradley Remedios 2004-11-17 17:12:02 EST
I disabled Legacy USB Support in my BIOS and upgraded to Fedora Core 3
(using kernel 2.6.9-667).

The usb device now works flawlessly.

I'm not sure if Legacy USB Support effects the Fedora Core Kernels
(2.6.5 through 2.6.8) in terms of usb-serial differently than the
Vanilla Kernels, but it is no longer required by me to work on Fedora
Core 2 with 2.6.8-1.521.
Comment 2 Dave Jones 2005-04-16 00:01:50 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.